edu.whs.spin2018.baoapp.views.spiel

## Class SpielVerlassenDialog

- java.lang.Object
- - android.support.v4.app.Fragment
  - - android.support.v4.app.DialogFragment
    - - edu.whs.spin2018.baoapp.views.spiel.SpielVerlassenDialog

- All Implemented Interfaces:
    android.arch.lifecycle.LifecycleOwner, android.arch.lifecycle.ViewModelStoreOwner, android.content.ComponentCallbacks, android.content.DialogInterface.OnCancelListener, android.content.DialogInterface.OnDismissListener, android.view.View.OnCreateContextMenuListener

      public class SpielVerlassenDialog
      extends android.support.v4.app.DialogFragment

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SpielVerlassenDialog.SpielVerlassenListener`

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `android.support.v4.app.Fragment.InstantiationException, android.support.v4.app.Fragment.SavedState`

  - ### Field Summary

    - ### Fields inherited from class android.support.v4.app.DialogFragment

      `STYLE_NO_FRAME, STYLE_NO_INPUT, STYLE_NO_TITLE, STYLE_NORMAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpielVerlassenDialog()` Repräsentiert einen SpielVerlassenDialog.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpielVerlassenDialog.SpielVerlassenListener` | `gibSpielVerlassenListener()` Gibt den gesetzten SpielVerlassenListener.
    `static SpielVerlassenDialog` | `newInstance()` Erstellt einen Dialog der aufgerufen wird, falls das Spiel verlassen werden soll.
    `void` | `onCancel(android.content.DialogInterface dialog)`
    `void` | `onCreate(android.os.Bundle savedInstanceState)`
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle saveInstaceState)`
    `void` | `onViewCreated(@NotNull android.view.View view, android.os.Bundle saveInstanceState)`
    `void` | `setzeSpielVerlassenListener(SpielVerlassenDialog.SpielVerlassenListener spielVerlassenListener)` Setzt einen SpielVerlassenListener.

    - ### Methods inherited from class android.support.v4.app.DialogFragment

      `dismiss, dismissAllowingStateLoss, getDialog, getShowsDialog, getTheme, isCancelable, onActivityCreated, onAttach, onCreateDialog, onDestroyView, onDetach, onDismiss, onGetLayoutInflater, onSaveInstanceState, onStart, onStop, setCancelable, setShowsDialog, setStyle, setupDialog, show, show, showNow`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityResult, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireContext, requireFragmentManager, requireHost, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpielVerlassenDialog

          public SpielVerlassenDialog()

      Repräsentiert einen SpielVerlassenDialog.

  - ### Method Detail

    - #### newInstance

          public static SpielVerlassenDialog newInstance()

      Erstellt einen Dialog der aufgerufen wird, falls das Spiel verlassen werden soll.
      Returns:
        einen SpielVerlassenDialog

    - #### setzeSpielVerlassenListener

          public void setzeSpielVerlassenListener(SpielVerlassenDialog.SpielVerlassenListener spielVerlassenListener)

      Setzt einen SpielVerlassenListener.
      Parameters:
        `spielVerlassenListener` - der zu setzende SpielVerlassenListener.

    - #### gibSpielVerlassenListener

          public SpielVerlassenDialog.SpielVerlassenListener gibSpielVerlassenListener()

      Gibt den gesetzten SpielVerlassenListener.
      Returns:
        den gesetzten SpielVerlassenListener

    - #### onCreateView

          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                android.view.ViewGroup container,
                                                android.os.Bundle saveInstaceState)

      Overrides:
        `onCreateView` in class `android.support.v4.app.Fragment`

    - #### onCancel

          public void onCancel(android.content.DialogInterface dialog)

      Specified by:
        `onCancel` in interface `android.content.DialogInterface.OnCancelListener`
      Overrides:
        `onCancel` in class `android.support.v4.app.DialogFragment`

    - #### onCreate

          public void onCreate(android.os.Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `android.support.v4.app.DialogFragment`

    - #### onViewCreated

          public void onViewCreated(@NotNull
                                    @NotNull android.view.View view,
                                    @Nullable
                                    android.os.Bundle saveInstanceState)

      Overrides:
        `onViewCreated` in class `android.support.v4.app.Fragment`